/**
 * 
*/

#include <RTSResult.h>
#include <GILLock.h>






RTSResult::RTSResult(std::string resCode) : mResCode(resCode)
{

}       
    
RTSResult::~RTSResult()
{}


std::string RTSResult::getResCode(){
    return mResCode;
}


boost::python::dict const& RTSResult::getProperties() {
    return mProp;
}


// void RTSPyLogging::log(std::string msg, PyObject* f){
//         // GIL state handler
//     PyLockGIL gstate;
//     // Python callback
//     call_method<void>(f, "log", msg);
//     // GIL handler release
// }


// BOOST_PYTHON_MODULE(RTSResult)
// {
//      class_<RTSResult>("RTSResult", init<std::string>())
//         .def("getResCode", &RTSResult::getResCode)
//         .def("getProperties", &RTSResult::getProperties, return_value_policy<copy_const_reference>())
//        ;
// }